I have a web site, which was powered by Nginx 1.7. The SPDY 3.1 was enabled. Later last week, I upgraded it to Nginx 1.9.7 mainline version. HTTP/2 already built with Nginx from version 1.9.5.  Why not enable HTTP/2? I just did a very rough test.   1. Pingdom testing tool SPDY 3.1: Performance Grade